HsCipherSDK Encryption Library2.2 - Download
You'll be able to download in few seconds.
Publisher Description
HsCipherSDK is an Encryption Library providing an API to a suite of symmetric key cryptographic algorithms and one way hash digital signature algorithms. The library includes the following block and stream cipher modules:
* AES (Advanced Encryption Standard) - FIPS 197
* DES and Triple DES (Data Encryption Standard) - FIPS-46-1, FIPS-46-3
* ARC4 (Alleged RC4) CAST-128 (a.k.a CAST5) - RFC 2144
* Blowfish algorithm
* Twofish algorithm
* MD5 message digest algorithm - RFC 1321
* SHA-1 (Secure Hash Algorithm) - RFC 3174
* SHA-256 (Secure Hash Algorithm) - FIPS 180-2
* SHA-512 (Secure Hash Algorithm) - FIPS 180-2
* Whirlpool ISO/IEC 10118-3
HsCipherSDK includes s standard DLL for use from C / C++, standard DLL for use from Visual Basic or any other languthat can use the standard dll. HsCipherSDK includes C Sharp wrapper DLL for use from C Sharp applications. HsCipherSDK itself is fully written in C (plain C style) and the source code is included.
HsCipherSDK allows the calling user application to perform the following operations:
* Encrypt and decrypt memory buffers with selected algorithm and key
* Encrypt and decrypt disk files with selected algorithm and key
* Digitally sign buffers using one of selected hashing algorithms
* Digitally sign disk files using one of selected hashing algorithms
API SUMMARY:
* HsCipherGetErrorStr
* HsCipherHexBuf2Bin
* HsCipherBufBin2Hex
* HsCipherBufferEncrypt
* HsCipherBufferDecrypt
* HsCipherFileEncrypt
* HsCipherFileDecrypt
* HsCipherBufferHashInit
* HsCipherHashNextBlock
* HsCipherHashGetResult
* HsCipherHashFullBuffer
* HsCipherHashFile
About HsCipherSDK Encryption Library
This Components & Libraries program is available in English. It was last updated on 29 September, 2026. HsCipherSDK Encryption Library is compatible with the following operating systems: Windows, Windows-mobile.
The company that develops HsCipherSDK Encryption Library is Hillstone Software. The latest version released by its developer is 2.2.
The download we have available for HsCipherSDK Encryption Library has a file size of 1.0 MB. Just click the green Download button above to start the downloading process. The program is listed on our website since 2014-08-24 and was downloaded 0 times. We have already checked if the download link is safe, however for your own protection we recommend that you scan the downloaded software with your antivirus. Your antivirus may detect the HsCipherSDK Encryption Library as malware if the download link is broken.
How to install HsCipherSDK Encryption Library on your Windows device:
- Click on the Download button on our website. This will start the download from the website of the developer.
- Once the HsCipherSDK Encryption Library is downloaded click on it to start the setup process (assuming you are on a desktop computer).
- When the installation is finished you should be able to see and run the program.
Program Details
System requirements
Download information
Pricing
Version History
version 2.2
posted on 2014-08-24
Major update
Disclaimer
External Download
We do not host HsCipherSDK Encryption Library on our servers. We did not scan it for viruses, adware, spyware or other type of malware. This app is hosted by the software publisher and passed their terms and conditions to be listed there. We recommend caution when installing it.
The external download link for HsCipherSDK Encryption Library is provided to you by apps112.com without any warranties, representations or guarantees of any kind, so access it at your own risk.
If you have questions regarding this particular app contact the publisher directly. For questions about the functionalities of apps112.com contact us.
